#ifndef ATL_dtGetNB_geqrf

/*
 * NB selection for GEQRF: Side='RIGHT', Uplo='UPPER'
 * M : 25,120,200,240,280,560,600,680,840,1160,1720,2320
 * N : 25,120,200,240,280,560,600,680,840,1160,1720,2320
 * NB : 4,8,8,24,48,8,48,48,56,56,120,128
 */
#define ATL_dtGetNB_geqrf(n_, nb_) \
{ \
   if ((n_) < 72) (nb_) = 4; \
   else if ((n_) < 220) (nb_) = 8; \
   else if ((n_) < 260) (nb_) = 24; \
   else if ((n_) < 420) (nb_) = 48; \
   else if ((n_) < 580) (nb_) = 8; \
   else if ((n_) < 760) (nb_) = 48; \
   else if ((n_) < 1440) (nb_) = 56; \
   else if ((n_) < 2020) (nb_) = 120; \
   else (nb_) = 128; \
}


#endif    /* end ifndef ATL_dtGetNB_geqrf */
